Package bitel.billing.server.tariff.detail

# Class TariffDetailUtils

java.lang.Object
bitel.billing.server.tariff.detail.TariffDetailUtils

public class TariffDetailUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CALC_TYPE_COMMON`
  `static final int`
  `CALC_TYPE_MAX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffDetailUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final int`
  `flushTariffDetail(org.slf4j.Logger logger, String module, DefaultServerSetup setup, Preferences moduleSetup, Connection con, int mid, Calendar startMonth, Calendar endMonth, String workingContracts, long groups, Map<bitel.billing.server.tariff.detail.TariffDetailKey,bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, Set<Integer> tariffDetailRangeTakeAllSet, int calcType)`
  `static final Set<Integer>`
  `getCostTypeIdSet(Preferences moduleSetup, int calcType)`
  `static final String`
  `getCostTypeIdString(Preferences moduleSetup, int calcType)`
  `static final Set<Integer>`
  `getCostTypeRangeTakeAllIdSet(Preferences moduleSetup)`
  `static final void`
  `processRequest(ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest request, int cid, Integer serviceId, long takedAmount, float takedCost, long nodeAmount, float cost, long divisor)`
  `static final void`
  `putTariffDetail(Map<bitel.billing.server.tariff.detail.TariffDetailKey,bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest calcReq, int contractId, int serviceId, double fullCost, long fullAmount)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CALC_TYPE_COMMON

    public static final int CALC_TYPE_COMMON
    See Also:
      - Constant Field Values

  - ### CALC_TYPE_MAX

    public static final int CALC_TYPE_MAX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TariffDetailUtils

    public TariffDetailUtils()

- ## Method Details

  - ### processRequest

    public static final void processRequest(ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest request, int cid, Integer serviceId, long takedAmount, float takedCost, long nodeAmount, float cost, long divisor)

  - ### putTariffDetail

    public static final void putTariffDetail(Map<bitel.billing.server.tariff.detail.TariffDetailKey,bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest calcReq, int contractId, int serviceId, double fullCost, long fullAmount)

  - ### flushTariffDetail

    public static final int flushTariffDetail(org.slf4j.Logger logger, String module, DefaultServerSetup setup, Preferences moduleSetup, Connection con, int mid, Calendar startMonth, Calendar endMonth, String workingContracts, long groups, Map<bitel.billing.server.tariff.detail.TariffDetailKey,bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, Set<Integer> tariffDetailRangeTakeAllSet, int calcType) throws SQLException
    Throws:
      `SQLException`

  - ### getCostTypeIdSet

    public static final Set<Integer> getCostTypeIdSet(Preferences moduleSetup, int calcType)

  - ### getCostTypeIdString

    public static final String getCostTypeIdString(Preferences moduleSetup, int calcType)

  - ### getCostTypeRangeTakeAllIdSet

    public static final Set<Integer> getCostTypeRangeTakeAllIdSet(Preferences moduleSetup)